#!/usr/bin/env node
let program = require('commander'),
	prompt = require('prompt'),
	fs = require( 'fs' ),
    setOptions = require('../lib/setOption'),
    stat = fs.stat,
    path = require('path'),
    addPage = require('../lib/addPage'),
    readFile = require('../lib/readFile'),
    getOptions = require('../lib/options'),
    copy = require('copy-dir'),
    rename = require('../lib/rename'),
    projectDir = process.cwd()


String.prototype.firstUpperCase=function(){
    return this.replace(/^\S/,function(s){return s.toUpperCase();});
}
prompt.start()
prompt.get(getOptions.page, function (err, result) {
	//è·ååæ°
	let wdngDir = path.join(__dirname,"..");
	let pageName = result.pageName
	let rootRoute = result.rootRoute
	let route = result.route
    result.RootRoute = rootRoute.firstUpperCase()
    result.Route = route.firstUpperCase()
    let pages = JSON.parse(readFile('/src/.pages.json'))
	addPage("/src/.pages.json",rootRoute,route)
    console.log(result)
    if(!pages[rootRoute]){
        copy.sync(wdngDir+"/template/page/base",projectDir+'/src/app/'+rootRoute)
        getOptions.pageFile.forEach((file) => {
            setOptions('/src/app/' + rootRoute + file,result)
        })
        rename('/src/app/' + rootRoute,result)
        // fs.readdirSync()
    }else{
        isRoute = pages[rootRoute].find((p) => {
            return p == route
        })
        if(!isRoute){
            copy.sync(wdngDir+"/template/page/base/route",`${projectDir}/src/app/${rootRoute}/${route}`)
            getOptions.pageFile.forEach((file) => {
                setOptions(`/src/app/${rootRoute}/${route }${file}`,result)
            })
            rename(`/src/app/${rootRoute}/${route}`,result)
        }

    }
  });
