import PAGES from './.pages.json'
import './app/exmple/exmple.js'
import demoModule  from './app/common/directives/selectModule/entry'
let importModules = ['ui.router','wdng-directive']
for(let rootRouter in PAGES){
    importModules.push('item.' + rootRouter)
}
angular.module('item', importModules)
    .directive('demoModule',demoModule)
    .config([
        '$stateProvider',
        '$urlRouterProvider',
        '$httpProvider',
        ($stateProvider, $urlRouterProvider, $httpProvider) => {
            $urlRouterProvider
                .when('', '/exmple/index')
            for(let rootRouter in PAGES){
                $stateProvider
                    .state(rootRouter, {
                        url: '/' + rootRouter,
                        views: {
                            'wrap': {
                                template: `<ul>
                                    <li ng-repeat="a in pages">
                                        <a href="#/"></a>
                                    </li>
                                </ul>
                                <div ui-view="content"></div>`,

                                controller: ['$scope', ($scope) => {
                                    $scope.pages = []
                                    for( let i in PAGES){
                                        PAGES[i].forEach((page) => {
                                            $scope.pages.push({
                                                href : i + '/' + page
                                            })
                                        })
                                    }
                                }]

                            },
                        },
                    })
            }
        }
    ])