const fs = require('fs')
const iconv = require('iconv-lite')
const Handlebars = require('Handlebars')
const readFile = require('./readFile')
const writeFile = require('./writeFile')
const projectDir = process.cwd()

function setOption(file,options){
	if(fs.existsSync(projectDir + file)){
	    let str = readFile(file)
	    let template = Handlebars.compile(str)
	    const result = template(options)
	    writeFile(file,result)
	}
}
module.exports = setOption;
