const fs = require('fs')
const iconv = require('iconv-lite')
const Handlebars = require('Handlebars')
const readFile = require('./readFile')
const writeFile = require('./writeFile')

function setOption(file,options){
    let str = readFile(file)
    let template = Handlebars.compile(str)
    const result = template(options)
    writeFile(file,result)
}
module.exports = setOption;